/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.dw.db.dao.MtCaseExecTrendChartDao;
import net.northking.cctp.dw.db.entity.DwManualExecJob;
import net.northking.cctp.dw.db.service.MtCaseExecTrendChartService;
import net.northking.cctp.dw.db.entity.MtCaseExecTrendChart;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import net.northking.cctp.dw.dto.MtCaseExecTrendChartDetailDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 用例执行趋势图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-17 12:02:41  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "MtCaseExecTrendChartServiceImpl")
public class MtCaseExecTrendChartServiceImpl extends PaginationService<MtCaseExecTrendChart> implements MtCaseExecTrendChartService {
    private static final Logger logger = LoggerFactory.getLogger(MtCaseExecTrendChartServiceImpl.class);

    private final MtCaseExecTrendChartDao mtCaseExecTrendChartDao;

    public MtCaseExecTrendChartServiceImpl(MtCaseExecTrendChartDao mtCaseExecTrendChartDao) {
        this.mtCaseExecTrendChartDao = mtCaseExecTrendChartDao;
    }

    public BasicDao<MtCaseExecTrendChart> getDao() {
        return mtCaseExecTrendChartDao;
    }

    public MtCaseExecTrendChart createEntity() {
        return new MtCaseExecTrendChart();
    }

    @Override
    protected void beforeInsert(MtCaseExecTrendChart mtCaseExecTrendChart) {

    }

    @Override
    protected void beforeUpdate(MtCaseExecTrendChart mtCaseExecTrendChart) {

    }

    @Override
    public void deleteAll() {
        MtCaseExecTrendChart m = new MtCaseExecTrendChart();
        mtCaseExecTrendChartDao.deleteByExample(m);
    }

    @Override
    public List<MtCaseExecTrendChartDetailDto> listQuery(ChartDataGeneQueryDto chartDataGeneQueryDto) {
        return mtCaseExecTrendChartDao.listQuery(chartDataGeneQueryDto);
    }

    @Override
    public Integer syncExecTendencyNotice(DwManualExecJob dwManualExecJob) {
        return mtCaseExecTrendChartDao.syncExecTendencyNotice(dwManualExecJob);
    }

    @Override
    public Integer deleteByExampleByProjectIds(MtCaseExecTrendChart mtCaseExecTrendChart) {
        return mtCaseExecTrendChartDao.deleteByExampleByProjectIds(mtCaseExecTrendChart);
    }

}

